package domain

type TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest struct {
	/*
	   市场 defalutValue:tmall    */
	Market *string `json:"market,omitempty" `

	/*
	   商品id     */
	ItemId *string `json:"item_id,omitempty" `

	/*
	   分组名称     */
	GroupName *string `json:"group_name,omitempty" `

	/*
	   排序     */
	Sort *int64 `json:"sort,omitempty" `

	/*
	   系列id     */
	SeriesId *int64 `json:"series_id,omitempty" `

	/*
	   定制展示名称     */
	CustomVersion *string `json:"custom_version,omitempty" `
}

func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) SetMarket(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest {
	s.Market = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) SetItemId(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest {
	s.ItemId = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) SetGroupName(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest {
	s.GroupName = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) SetSort(v int64) *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest {
	s.Sort = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) SetSeriesId(v int64) *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest {
	s.SeriesId = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) SetCustomVersion(v string) *TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest {
	s.CustomVersion = &v
	return s
}
